Skip to main content
Matrix42 Self-Service Help Center

Performing updates without errors

ID: 18060501
Languages: EN, DE
Components: EgoSecure Server, EgoSecure Agents
Operating system: Windows

Task

Avoid problems when updating EgoSecure Servers and Agents.
For details about the installation of the components, see the EgoSecure Server installation guide (sign in required to download).

Solution

Depending on the version, configuration and environment, the problems during an update may occur, which limits the software functionality on servers and end devices. During one update, the EgoSecure Server, the database and the EgoSecure Management Console are updated. What is more, the MSI package becomes available to install the EgoSecure Agent client component and can be deployed immediately.
To avoid problems during update, we recommend that you perform the update process in the following order:
1. Check and save the database
1. Create a database backup before the update. For details, see Database migration
2. To prevent the space from filling during the update, configure the transaction log settings. For details, see Microsoft Docs: Troubleshoot a full transaction log
2. Disable automatic updates
1. In the EgoSecure Console, navigate to Installation » EgoSecure agents » Installation settings .
2. Under Download parameters, enable the option manually or schedule .
3. Under Update parameters, enable the schedule option.
4. Click Save .
3. Start update
1. Close the Console.
2. Run the EgoSecureSetup_x64.exe file and follow the instructions.
3. To check the functionality of endpoints, install the newly generated MSI package locally on a single computer and test the basic features you are using.
4. Once the new Agent version is successfully tested, start the installation on the clients.
 
 
Updating from older versions
Before updating, check the compatibility of the installed version with the new version. For a compatibility list for servers and agents, see Chapter 5.2 of the Installation Guide.
 
Agent version must never be higher than Server version!